package com.org.hktshop.service.user.impl;

import com.org.hktshop.base.BaseService;
import com.org.hktshop.entity.user.HktWarehouseMap;
import com.org.hktshop.service.user.HktWarehouseMapService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HktWarehouseMapServiceImpl extends BaseService<HktWarehouseMap> implements HktWarehouseMapService {
    @Override
    public void saveHktWarehouseMap(HktWarehouseMap hktWarehouseMap) {
        this.updateJdbc(hktWarehouseMap);
    }

    @Override
    public void deleteHktWarehouseMap(String id) {
        this.deleteById(id, new HktWarehouseMap());
    }

    @Override
    public void updateHktWarehouseMap(HktWarehouseMap hktWarehouseMap) {
        this.updateJdbc(hktWarehouseMap);
    }

    @Override
    public HktWarehouseMap getHktWarehouseMapById(String id) {
        return this.queryByIdJbdc(id, new HktWarehouseMap());
    }

    @Override
    public List<HktWarehouseMap> getHktWarehouseMapList() {
        return queryList(new HktWarehouseMap());
    }
}
